Skip to content

Role

Overview

Different account roles correspond to different functional permissions. A role is only effective in one system. If it needs to be used in different systems, please assign the roles in the corresponding systems respectively.

Notes:

  • Creating roles is currently not supported. Only roles that exist in the system can be used. For details, please contact your Customer Success Manager (CSM).
  • If an existing role does not meet the requirements, you can contact your Customer Success Manager (CSM) to modify it.

System List

Description

Query the list of systems.

Notes:

  • This interface only returns a list of systems to which the customer has permission. Please contact your Customer Success Manager (CSM) for details.

Request Config

ConfigDefinition
URL/system/list
MethodGET

Response


Schema of data

NameTypeDescription
systems[]objectSystem list
+ idint64System Id
+ namestringSystem name
+ domainstringSystem domain

Response Body Sample

json
{
  "code": 0,
  "message": "",
  "data": {
    "systems": [
      {
        "id": 467,
        "name": "H5",
        "domain": "smartview.clobotics.cn"
      }
    ]
  }
}

Role List

Description

Query role list in the specified system.

Request Config

ConfigDefinition
URL/role/list?system_id=123
MethodGET

Params

NameTypeDescriptionRequired
system_idint64System idYes

Response


Schema of data

NameTypeDescription
roles[]objectRole list
+ idint64Role id
+ namestringRole name
+ system_idint64System id
+ orderint32Order
+ descriptionstringDescription

Response Body Sample

json
{
  "code": 0,
  "message": "",
  "data": {
    "roles": [
      {
        "id": 1256,
        "name": "admin",
        "system_id": 343,
        "order": 1,
        "description": "test"
      }
    ]
  }
}

Powered by Clobotics Retail Team.